## org.apache.portals.bridges.struts.config
Class AbstractConfigComponent.SetParentRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.portals.bridges.struts.config.AbstractConfigComponent.SetParentRule

Enclosing class:
  AbstractConfigComponent

protected static class AbstractConfigComponent.SetParentRule
extends org.apache.commons.digester.Rule

Field Summary
`private Object` `parent`

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`AbstractConfigComponent.SetParentRule(Object parent)`

Method Summary
`void` `begin(String arg0, String arg1, Attributes arg2)`

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    private Object parent

Constructor Detail

### AbstractConfigComponent.SetParentRule

    public AbstractConfigComponent.SetParentRule(Object parent)

Method Detail

### begin

    public void begin(String arg0,
                      String arg1,
                      Attributes arg2)
               throws Exception

  Throws:
    `Exception`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.